Batch-fetch latest column profiles by table and/or column FQN
curl --request POST \
--url https://api.example.com/api/data-readiness/data-assets/profiles/columns/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"table_fqns": [
"<string>"
],
"column_fqns": [
"<string>"
]
}
'import requests
url = "https://api.example.com/api/data-readiness/data-assets/profiles/columns/batch"
payload = {
"table_fqns": ["<string>"],
"column_fqns": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({table_fqns: ['<string>'], column_fqns: ['<string>']})
};
fetch('https://api.example.com/api/data-readiness/data-assets/profiles/columns/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"profiles": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asset_fqn": "<string>",
"service": "<string>",
"asset_version": "<string>",
"created_at": "<string>",
"workflow_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"database_name": "<string>",
"schema_name": "<string>",
"table_name": "<string>",
"column_name": "<string>",
"values_count": 123,
"non_null_count": 123,
"duplicate_count": 123,
"null_count": 123,
"null_proportion": 123,
"distinct_count": 123,
"min_value": "<string>",
"max_value": "<string>",
"histogram": {}
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"workflow_id": "123e4567-e89b-12d3-a456-426614174000"
}
},
"request_id": "req_abc123xyz"
}Data Assets
Batch-fetch latest column profiles by table and/or column FQN
Return the latest column profile for every column matched by table_fqns and/or column_fqns. At least one filter is required (validated in the request model). Returns an empty list when nothing is profiled — does NOT 404.
POST
/
api
/
data-readiness
/
data-assets
/
profiles
/
columns
/
batch
Batch-fetch latest column profiles by table and/or column FQN
Authorizations
JWT Bearer token authentication. Include the token in the Authorization header as: Authorization: Bearer <token>. The JWT must contain valid client_id, and project_id claims for tenant isolation and SDK routing.
Body
application/json
Response
Successful Response
Response body for POST /profiles/columns/batch.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

